import { Snippet } from '@alilc/lowcode-types';
import { queryTable } from './snippets/queryTable';
import { nestedTable } from './snippets/nestedTable';
import { noQueryTable } from './snippets/noQueryTable';
import { noToolBarTable } from './snippets/noToolBarTable';
import { requiredTable } from './snippets/requiredTable';
import { batchOperation } from './snippets/batchOperation';
import { customOperation } from './snippets/customOperation';

export const snippets: Snippet[] = [
  queryTable,
  noQueryTable,
  noToolBarTable,
  requiredTable,
  nestedTable,
  batchOperation,
  customOperation
];
