import { columns, dataSource } from '../common/common';

export const nestedTable = {
  title: '嵌套表格',
  screenshot: 'https://alifd.alicdn.com/fusion-cool/icons/icon-antd/table-1.png',
  schema: {
    componentName: 'ProTable',
    props: {
      dataSource,
      columns,
      rowKey: 'id',
      pagination: {
        pageSize: 10,
        current: 1,
      },
      scroll: {
        scrollToFirstRowOnChange: true,
        x: 1200,
        y: 300,
      },
      expandable: {
        expandedRowRender: {
          type: 'JSSlot',
          params: ['record', 'index', 'indent', 'expanded'],
          value: [
            {
              componentName: 'ProTable',
              props: {
                search: false,
                dataSource,
                columns,
                rowKey: 'id',
                pagination: false,
                manualRequest: false,
                loading: false,
                showHeader: true,
                size: 'default',
                tableLayout: '',
                scroll: {
                  scrollToFirstRowOnChange: true,
                },
                rowSelection: false,
              },
            },
          ],
        },
      },
    },
  },
};
