import { columns, dataSource, options, toolBarRender } from '../common/common';

export const noQueryTable = {
  title: '无查询表单',
  screenshot: 'https://alifd.alicdn.com/fusion-cool/icons/icon-antd/table-1.png',
  schema: {
    componentName: 'ProTable',
    props: {
      dataSource,
      columns: [...columns, options],
      rowKey: 'id',
      pagination: {
        pageSize: 10,
        current: 1,
      },
      search: false,
      scroll: {
        scrollToFirstRowOnChange: true,
        x: 1200,
        y: 300,
      },
      toolBarRender,
    },
  },
};
