import { columns, dataSource, options } from '../common/common';

export const noToolBarTable = {
  title: '无ToolBar表格',
  screenshot: 'https://alifd.alicdn.com/fusion-cool/icons/icon-antd/table-1.png',
  schema: {
    componentName: 'ProTable',
    props: {
      dataSource,
      columns: [
        ...columns,
        options
      ],
      rowKey: 'id',
      pagination: {
        pageSize: 10,
        current: 1,
      },
      search: {
        defaultCollapsed: false,
        resetText: '',
        searchText: '',
        collapsed: false,
        labelWidth: '80',
        span: 8,
      },
      scroll: {
        scrollToFirstRowOnChange: true,
        x: 1200,
        y: 300,
      },
      toolBarRender: false
    },
  },
};
