import { columns, dataSource, options, toolBarRender } from '../common/common';

export const requiredTable = {
  title: '必填的查询表单',
  screenshot: 'https://alifd.alicdn.com/fusion-cool/icons/icon-antd/table-1.png',
  schema: {
    componentName: 'ProTable',
    props: {
      dataSource,
      columns: [...columns, options],
      rowKey: 'id',
      pagination: {
        pageSize: 10,
        current: 1,
      },
      search: {
        defaultCollapsed: false,
        resetText: '',
        searchText: '',
        collapsed: false,
        labelWidth: '80',
        span: 8,
      },
      scroll: {
        scrollToFirstRowOnChange: true,
        x: 1200,
        y: 300,
      },
      form: {
        ignoreRules: false,
      },
      toolBarRender,
    },
  },
};
